snapshots
Update Snapshot by ID
Update Snapshot by ID
PUT
/
remotefs
/
v1
/
snapshots
/
{id}
Update Snapshot by ID
curl --request PUT \
--url https://mycluster.domino.tech/remotefs/v1/snapshots/{id} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/remotefs/v1/snapshots/{id}"
payload = { "description": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://mycluster.domino.tech/remotefs/v1/snapshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"id": "<string>",
"status": "Active",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"version": 123,
"volumeId": "<string>",
"description": "<string>",
"labels": {},
"lastMountedTime": "<string>",
"runId": "<string>",
"tags": [
{
"addedAt": "<string>",
"addedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"name": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Path Parameters
ID of Snapshot to update
Body
application/json
Snapshot to update
Response
OK
Show child attributes
Show child attributes
Available options:
Active, MarkedForDeletion, Deleted Show child attributes
Show child attributes
Links to ONTAP snapshot name
System-specified, e.g. for Flows artifacts
Show child attributes
Show child attributes
Optional field denoting resource associated with a run
User-specified, for custom mount path resolution, sorted by creation time in ascending order
Show child attributes
Show child attributes
Last modified on August 18, 2026
Related topics
Update bundle by IDDelete snapshot by IDGet snapshot by IDGet snapshot by volume ID and snapshot versionWas this page helpful?
⌘I
Update Snapshot by ID
